=== tests/wscript ===
#!/usr/bin/env python

def build(bld):
	tests = '''
		path_test
		thread_test
		queue_test
		ringbuffer_test
		midi_ringbuffer_test
		atomic_test
		list_test
		time_test
		quantize_test
		smf_test
		table_test
	'''
	if bld.env['BUILD_TESTS']:
		for i in tests.split():
			obj = bld.new_task_gen('cxx', 'program')
			obj.source       = i + '.cpp'
			obj.includes     = '..'
			obj.uselib_local = 'libraul'
			obj.target       = i
			obj.install_path = ''
