=== debian/changelog ===
raul (0.6.0-1ubuntu2) lucid; urgency=low

  * Add python to Build-Depends.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 28 Feb 2010 13:14:37 +0100

raul (0.6.0-1ubuntu1) lucid; urgency=low

  * Use internal copy of waf.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:22:20 +0100

raul (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #562631)
  * debian/control:
    - add build-depends on waf
    - drop libjack-dev, switch from gtkmm glib
    - switch package maintenance to git
    - drop quilt
    - tighten debhelper to >= 7.0.50~
    - bump libraul soname to 3
    - add libraul-doc package
  * debian/rules:
    - merge with flowcanvas to use waf
    - drop quilt
    - factorise waf options
    - install doc in libraul-doc
  * debian/libraul-doc.install: install libraul-doc html files
  * debian/libraul-doc.doc-base: register documentation with doc-base
  * debian/control: add build-depends on graphviz

 -- Paul Brossier <piem@debian.org>  Sun, 27 Dec 2009 01:32:40 +0100

raul (0.5.1-2) unstable; urgency=low

  * Add build-depends on quilt
  * Add patch to fix FTBFS with g++-4.4, thanks to Michael Bienia
   (closes: #559889)

 -- Paul Brossier <piem@debian.org>  Mon, 07 Dec 2009 17:25:36 +0100

raul (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #553377)

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 18:40:07 +0100
