=== debian/control ===
Source: raul
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python (>= 2.5),
               libglib2.0-dev,
               libboost-dev,
               doxygen,
               graphviz
Standards-Version: 3.8.3
Section: libs
Vcs-Git: git://git.debian.org/collab-maint/raul.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/raul.git;a=summary
Homepage: http://drobilla.net/software/raul/

Package: libraul-dev
Section: libdevel
Architecture: any
Depends: libraul3 (= ${binary:Version}), ${misc:Depends}
Description: real time audio utility library -- development files
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package contains the development files for libraul.

Package: libraul3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: real time audio utility library
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package provides the shared library libraul.

Package: libraul-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: real time audio utility library -- documentation
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package provides the documentation for raul.
