=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WAFOPTS = --prefix=/usr --destdir=$(CURDIR)/debian/tmp --strict --verbose --build-docs --htmldir=/usr/share/doc/libraul-doc/html

%:
	dh $@

override_dh_auto_configure:
	./waf configure $(WAFOPTS)

override_dh_auto_build:
	dh build --before dh_auto_build
	./waf build $(WAFOPTS)
	dh build --after dh_auto_build

override_dh_auto_install:
	dh install --before dh_auto_install
	./waf install $(WAFOPTS)
	dh install --after dh_auto_install

override_dh_auto_clean:
	dh clean --before dh_auto_clean
	./waf distclean $(WAFOPTS)
	-$(RM) -f autowaf.pyc
	dh clean --after dh_auto_clean
