## raul 0.8.0

=== debian/changelog ===
raul (0.8.0-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable (Closes: #628665):
    - Allow the new stable release of patchage doing the same.
    - The 0.6.0 branch is too ancient, moreover upstream doesn't support it
      anymore.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Jun 2011 12:16:00 +0200

raul (0.8.0-0.2) experimental; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    - Build docs only when doxygen, graphviz are installed;
      this also fixes FTBFS on kfreebsd-amd64 (Closes: #624409).
    - Build with --debug enabled.
  * debian/control:
    - Move doxygen, graphviz to Build-Depends-Indep.
    - Sort Build-Depends values.
  * debian/patches/1001-dont_run_ldconfig.patch:
    - Avoid calling ldconfig once the build is finished, this allow us
      to save a bit of time.
  * Remove debian/patches/hppa_parallel.patch since it is unneeded now.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 12:46:11 +0200

raul (0.8.0-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #611193):
    - Changes in 0.8.0:
      + Implement Semaphore for Darwin
      + Remove unused/trivial/inappropriate Command and Stateful
      + Remove pointless templateification of RingBuffer
      + Use uint32_t consistently for sizes in RingBuffer
      + Fix off-by-one allocation of Atom strings
      + Add all classes to 'raul' doxygen group
      + Make single-argument constructors explicit
      + Fix incorrect TimeSlice::beats_to_ticks
      + Fix crash bug in List::chop_front
      + Fix TimeStamp comparison operators
      + Rename LOG_ + defines RAUL_LOG_ +
      + Remove "using namespace" declarations
      + Add missing #includes
      + Add missing COPYING file to distribution
      + Upgrade to waf 1.6.2
      + Fix accidental build system dependency on glibmm (now glib only)
      + Better documentation generation via waf tool
    - Changes 0.7.0:
      + Add several unit tests
      + Use malloc'd memory for RingBuffer/SRSWQueue (instead of a new'd
        array)
      + Fancy coloured console/logging I/O (raul/log.hpp)
      + More flexible Path and better URI support
      + Atom updates, including new "Blank" Atom for storing dictionaries
        with URI keys (ala JavaScript "objects", but RDF compatible)
      + Remove stack stuff from Array and create new ArrayStack
      + Make Symbol and URI more opaque and use Glib string interning
      + Add Configuration class for app command line option handling
      + Use < operator in TableImpl instead of > so it needn't be defined
      + Add IntrusivePtr, a trivial #define of boost::intrusive_ptr which
        is useful for hard realtime things (since adding and dropping refs
        is realtime safe, which is not true of shared_ptr)
      + Remove TimeSlice
  * SONAME change: libraul3 -> libraul10.
  * Fix lintian's embedded-javascript-library warning on libraul-doc:
    - Symlink jquery.js to /usr/share/doc/libraul-doc/html/jquery.js rather
      than install a local copy.
  * debian/control:
    - Bump Standards.
    - Remove duplicate Section: libs.
    - Make libraul-doc depend on libjs-jquery.
    - Make libraul-dev depend on libglib2.0-dev,libboost-dev and suggest
      liblo-dev.
  * debian/copyright:
    - Add license and copyright information about waf,raul/midi_events.h
      files.
    - Update to DEP-5 svn rev.174.
  * debian/rules:
    - No need to apply hppa_parallel.patch anymore since hppa arch was
      dropped.
    - Rewrote to use pure DH7 short-form.
  * Remove unneeded debian/libraul3.dirs file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Apr 2011 14:36:26 +0200

raul (0.6.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/hppa_parallel.patch:
    - Disable parallel build on hppa (Fixes: #561130).
  * debian/rules:
    - Patch affected files on-the-fly.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 09 May 2010 16:21:36 +0000

raul (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use convenience copy of waf, system wide waf package is being removed
    from Debian (Closes: #571708).
  * Build-depend on python, convenience copy of waf needs it.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Apr 2010 16:34:33 +0200
