## raul 0.8.0%2Bdfsg0

=== debian/control ===
Source: raul
Priority: extra
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libboost-dev,
 libglib2.0-dev,
 python
Build-Depends-Indep: doxygen,
 graphviz
Standards-Version: 3.9.2
Section: libs
Vcs-Git: git://git.debian.org/collab-maint/raul.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/raul.git;a=summary
Homepage: http://drobilla.net/software/raul/

Package: libraul-dev
Section: libdevel
Architecture: any
Depends: libraul10 (= ${binary:Version}),
 libglib2.0-dev,
 libboost-dev,
 ${misc:Depends}
Suggests: liblo-dev
Description: real time audio utility library -- development files
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package contains the development files for libraul.

Package: libraul10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: real time audio utility library
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package provides the shared library libraul.

Package: libraul-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
 libjs-jquery
Description: real time audio utility library -- documentation
 Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
 at audio/musical applications.
 .
 This package provides the documentation for raul.
