=== debian/changelog ===
raul (0.8.0+dfsg0-0.1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:38:59 +0100

raul (0.8.0+dfsg0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654498):
    - debian/rules:
      + Use 'waf clean' instead of 'waf distclean' to prevent the waflib
        directory to be deleted.
      + Prune *.pyc files and skip errors on clean.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 11:01:22 +0100
