=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: raul
 Priority: extra
-Maintainer: Paul Brossier <piem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Brossier <piem@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  libboost-dev,
  libglib2.0-dev,
@@ -16,7 +17,7 @@
 Package: libraul-dev
 Section: libdevel
 Architecture: any
-Depends: libraul10 (= ${binary:Version}),
+Depends: libraul10v5 (= ${binary:Version}),
  libglib2.0-dev,
  libboost-dev,
  ${misc:Depends}
@@ -27,9 +28,11 @@
  .
  This package contains the development files for libraul.
 
-Package: libraul10
+Package: libraul10v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libraul10
+Replaces: libraul10
 Description: real time audio utility library
  Raul (Realtime Audio Utility Library) is a C++ utility library primarily aimed
  at audio/musical applications.
