=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,6 @@
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/libraul-doc/html/jquery.js
 
 override_dh_auto_clean:
-	./waf distclean
-	-$(RM) -f autowaf/autowaf.pyc
+	./waf clean || true
+	find -name "*.pyc" -delete
 	dh_auto_clean
