=== debian/watch ===
version=3
http://drobilla.net/software/raul/ \
  http://download.drobilla.net/raul-(.*)\.tar\.gz
